package com.drht.datamanage.handler;

import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.ChannelOutboundHandlerAdapter;
import io.netty.channel.ChannelPromise;
import io.netty.util.internal.logging.InternalLogger;
import io.netty.util.internal.logging.InternalLoggerFactory;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SendChannelHandler extends ChannelOutboundHandlerAdapter {
//发送消息触发

    @Override
    public void write(ChannelHandlerContext ctx, Object msg, ChannelPromise promise) throws Exception {
        log.info("发出的报文{}",msg.toString());
        super.write(ctx, msg, promise);
        //预留控制发送命令，短时间内不能太多
    }
}
