package com.drht.datamanage.exception;

/**
 * 响应码枚举
 */
public enum ResultCode {

    SUCCESS(0,"成功"),
    FAIL(1,"失败");

    private int code;
    private String info;

    ResultCode(int code, String info) {
        this.code = code;
        this.info = info;
    }

    public int getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
