package com.drht.datamanage.protocols;

import com.drht.datamanage.service.Reply;
import com.drht.datamanage.util.AnalysisUtil;
import io.netty.channel.ChannelHandlerContext;
import org.springframework.stereotype.Service;

import java.text.ParseException;

/**
 * 设备自动注册报文
 *
 * @author chai
 */
@Service("0001")
public class Cn0001 implements Reply {


    @Override
    public void rese(AnalysisUtil.Msg msg, ChannelHandlerContext ctx) throws ParseException {
        //编码执行成功报文 回复消息
        ctx.writeAndFlush(AnalysisUtil.exeRtnSuccess(msg));
    }
}
